接口参考评论
某个账号连接的评论收件箱(分页、聚合)。
GET
ApiKeyAuthheader
鉴权Bearer <lumi>Authorization: Bearer lumi_xxx。用户 API Key 拥有完整权限,自主运行的 agent 可以发布视频、取消任务。每个账号只有一把 Key,如需隔离请为 agent 使用单独的 LumiPath 账号。
connectionId*stringvideoId?stringsinceId?string仅 X:返回推文 id 大于这个值的回复(用上一次调用的 newestId)。
Match
^\d{1,19}$untilId?string仅 X:返回推文 id 小于这个值的回复(用上一次的 oldestId 往前翻页)。
Match
^\d{1,19}$startTime?string仅 X:ISO 8601 时间下限,还没有 sinceId 时使用,默认 7 天前。
格式
date-timepage?integer范围
1 <= value默认值
1limit?integer范围
1 <= value <= 100默认值
10成功
application/json- response
success*trueValue in
truedata*curl -X GET 'https://app.lumipath.cn/api/v1/comments?connectionId=string'响应示例
{ "success": true, "data": { "comments": [ { "id": "string", "platform": "string", "author": "string", "username": "string", "authorAvatar": "string", "content": "string", "originalLanguage": "string", "accountId": "string", "timestamp": "2019-08-24T14:15:22Z", "sentiment": "positive", "replyStatus": "pending", "likes": 0, "isPinned": true, "videoTitle": "string", "videoUrl": "string", "videoId": "string", "translatedContent": "string", "repliesCount": 0, "replies": [ {} ] } ], "pagination": { "total": 0, "page": 0, "limit": 0, "totalPages": 0 }, "newestId": "string", "hasMore": true, "oldestId": "string", "skipped": "NO_RECENT_X_VIDEO" }}